DCMTK Version 3.7.0 OFFIS DICOM Toolkit

Public Member Functions | List of all members
DSRGraphicData3DList Class Reference

Class for graphic data (3D) lists. More...

Inheritance diagram for DSRGraphicData3DList:

## Public Member Functions
| DSRGraphicData3DList ()
| default constructor
| DSRGraphicData3DList (const DSRGraphicData3DList &lst)
| copy constructor More...
virtual | ~DSRGraphicData3DList ()
| destructor
DSRGraphicData3DList & | operator= (const DSRGraphicData3DList &lst)
| assignment operator More...
OFCondition | print (STD_NAMESPACE ostream &stream, const size_t flags=0, const char tripletSeparator='/', const char itemSeparator=',') const
| print list of graphic data. More...
OFCondition | read (DcmItem &dataset, const size_t flags)
| read list of graphic data More...
OFCondition | write (DcmItem &dataset) const
| write list of graphic data More...
const DSRGraphicData3DItem & | getItem (const size_t idx) const
| get reference to the specified item More...
OFCondition | getItem (const size_t idx, Float32 &x, Float32 &y, Float32 &z) const
| get copy of the specified value triplet More...
void | addItem (const Float32 x, const Float32 y, const Float32 z)
| add value triplet to the list More...
OFCondition | putString (const char *stringValue)
| put list of graphic data as a string. More...
Public Member Functions inherited from DSRListOfItems< DSRGraphicData3DItem >
| DSRListOfItems ()
| default constructor
| DSRListOfItems (const DSRListOfItems< DSRGraphicData3DItem > &lst)
| copy constructor More...
virtual | ~DSRListOfItems ()
| destructor
DSRListOfItems< DSRGraphicData3DItem > & | operator= (const DSRListOfItems< DSRGraphicData3DItem > &lst)
| assignment operator More...
OFBool | operator== (const DSRListOfItems< DSRGraphicData3DItem > &lst) const
| comparison operator "equal" More...
OFBool | operator!= (const DSRListOfItems< DSRGraphicData3DItem > &lst) const
| comparison operator "not equal" More...
void | clear ()
| clear all internal variables
OFBool | isEmpty () const
| check whether the list is empty More...
size_t | getNumberOfItems () const
| get number of items contained in the list More...
OFBool | isElement (const DSRGraphicData3DItem &item) const
| check whether specified item is contained in the list More...
const DSRGraphicData3DItem & | getItem (const size_t idx) const
| get reference to the specified item More...
OFCondition | getItem (const size_t idx, DSRGraphicData3DItem &item) const
| get copy of the specified item More...
OFCondition | getItems (OFVector< DSRGraphicData3DItem > &items) const
| get copy of all items (as a vector) More...
void | addItem (const DSRGraphicData3DItem &item)
| add item to the list More...
void | addOnlyNewItem (const DSRGraphicData3DItem &item)
| add item to the list only if it's not already contained More...
void | addItems (const OFVector< DSRGraphicData3DItem > &items)
| add items to the list More...
OFCondition | insertItem (const size_t idx, const DSRGraphicData3DItem &item)
| insert item at specified position to the list More...
OFCondition | removeItem (const size_t idx)
| remove item from the list More...

## Additional Inherited Members
Protected Member Functions inherited from DSRListOfItems< DSRGraphicData3DItem >
OFBool | gotoItemPos (size_t idx, OFLIST_TYPENAME OFListConstIterator(DSRGraphicData3DItem) &iterator) const
| goto specified item position More...
OFBool | gotoItem (const DSRGraphicData3DItem &item, OFLIST_TYPENAME OFListConstIterator(DSRGraphicData3DItem) &iterator) const
| goto specified item More...
Protected Attributes inherited from DSRListOfItems< DSRGraphicData3DItem >
OFList< DSRGraphicData3DItem > | ItemList
| the list maintained by this class

## Detailed Description

Class for graphic data (3D) lists.

## Constructor & Destructor Documentation

## ◆ DSRGraphicData3DList()

DSRGraphicData3DList::DSRGraphicData3DList | ( | const DSRGraphicData3DList & | lst | ) |

copy constructor

Parameters

  lst | list to be copied

## Member Function Documentation

## ◆ addItem()

void DSRGraphicData3DList::addItem | ( | const Float32 | x,
|  | const Float32 | y,
|  | const Float32 | z
| ) |  |

add value triplet to the list

Parameters

  x | x value to be added
  y | y value to be added
  z | z value to be added

## ◆ getItem() [1/2]

const DSRGraphicData3DItem& DSRGraphicData3DList::getItem | ( | const size_t | idx | ) | const

get reference to the specified item

Parameters

  idx | index of the item to be returned (starting from 1)

Returns
  reference to the specified item if successful, EmptyItem otherwise

## ◆ getItem() [2/2]

OFCondition DSRGraphicData3DList::getItem | ( | const size_t | idx,
|  | Float32 & | x,
|  | Float32 & | y,
|  | Float32 & | z
| ) |  | const

get copy of the specified value triplet

Parameters

  idx | index of the value triplet to be returned (starting from 1)
  x | x value of the specified index (set to 0 first)
  y | y value of the specified index (set to 0 first)
  z | z value of the specified index (set to 0 first)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ operator=()

DSRGraphicData3DList& DSRGraphicData3DList::operator= | ( | const DSRGraphicData3DList & | lst | ) |

assignment operator

Parameters

  lst | list to be copied

Returns
  reference to this list after 'lst' has been copied

## ◆ print()

OFCondition DSRGraphicData3DList::print | ( | STD_NAMESPACE ostream & | stream,
|  | const size_t | flags = `0`,
|  | const char | tripletSeparator = `'/'`,
|  | const char | itemSeparator = `','`
| ) |  | const

print list of graphic data.

The output of a typical list looks like this: 0/0/0,127/127/127,255/255/255

Parameters

  stream | output stream to which the list should be printed
  flags | flag used to customize the output (see DSRTypes::PF_xxx)
  tripletSeparator | character specifying the separator between the value triplets
  itemSeparator | character specifying the separator between the list items

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ putString()

OFCondition DSRGraphicData3DList::putString | ( | const char * | stringValue | ) |

put list of graphic data as a string.

This function expects the same input format as created by print(), i.e. a comma separated list of numerical value triplets.

Parameters

  stringValue | string value to be set

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ read()

OFCondition DSRGraphicData3DList::read | ( | DcmItem & | dataset,
|  | const size_t | flags
| ) |  |

read list of graphic data

Parameters

  dataset | DICOM dataset from which the list should be read
  flags | flag used to customize the reading process (see DSRTypes::RF_xxx)

Returns
  status, EC_Normal if successful, an error code otherwise

## ◆ write()

OFCondition DSRGraphicData3DList::write | ( | DcmItem & | dataset | ) | const

write list of graphic data

Parameters

  dataset | DICOM dataset to which the list should be written

Returns
  status, EC_Normal if successful, an error code otherwise

The documentation for this class was generated from the following file:

- dcmsr/include/dcmtk/dcmsr/dsrsc3gr.h

Generated on Mon Dec 15 2025 for DCMTK Version 3.7.0 by Doxygen 1.9.1